# Uses of Interface
org.eclipse.pde.core.plugin.IPluginExtension

Packages that use IPluginExtension
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.
org.eclipse.pde.ui.templates
Application programming interfaces for contributing to and extending PDE project templates.

## Uses of IPluginExtension in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginExtension
Modifier and Type
Method
Description
`IPluginExtension`
IExtensionsModelFactory.`createExtension()`
Creates a new extension instance.
`IPluginExtension[]`
IExtensions.`getExtensions()`
Returns extensions defined in this object.
Methods in org.eclipse.pde.core.plugin with parameters of type IPluginExtension
Modifier and Type
Method
Description
`void`
IExtensions.`add(IPluginExtension extension)`
Adds a new extension to this object.
`int`
IExtensions.`getIndexOf(IPluginExtension e)`
Returns the position of the extension in the receiver.
`void`
IExtensions.`remove(IPluginExtension extension)`
Removes an extension from this object.
`void`
IExtensions.`swap(IPluginExtension e1, IPluginExtension e2)`
Swaps the positions of the provided extensions in the list of extensions.

## Uses of IPluginExtension in org.eclipse.pde.ui.templates

Methods in org.eclipse.pde.ui.templates that return IPluginExtension
Modifier and Type
Method
Description
`protected IPluginExtension`
AbstractTemplateSection.`createExtension(String pointId, boolean reuse)`
A utility method to create an extension object for the plug-in model from the provided extension point id.